#include <iostream>
#include <vector>
using namespace std;
int main(){
    int n;
    cin>>n;
vector<int>v1(n);
for(int i=0;i<n;i++){

cin>>v1[i];

}
int broj1=count(v1.begin(),v1.begin()+n,1);
int broj2=count(v1.begin(),v1.begin()+n,2);
if((broj1==2)&&(broj2==2)){

    cout<<0;
}
else{

    cout<<1;
}





    return 0;
}